module.exports = (source, callback) => {
  // Set Result
  const result = {};

  // Source Loop
  Object.keys(source).some(key => {
    // Get Response
    const response = callback(source[key], key);

    // Set Result
    result[key] = response || source[key];

    // Stop
    if (response === false) {
      return true;
    }
  });

  // Endness
  return result;
};
